PXSEQGEN(1)

NAME
pxseqgen - manual page for pxseqgen 1.1

SYNOPSIS
pxseqgen [OPTIONS]...

DESCRIPTION
Basic sequence simulator under the GTR model. This will take fasta, fastq, phylip, and nexus formats from a file or STDIN.

OPTIONS

-t, --treef=FILE
    input treefile, STDIN otherwise

-o, --outf=FILE
    output seq file, STOUT otherwise

-l, --length=INT
    length of sequences to generate. default is 1000

-b, --basef=Input
    comma-delimited base freqs in order: A,C,G,T. default is equal

-g, --gamma=INT
    gamma shape value. default is no rate variation

-i, --pinvar=FLOAT
    proportion of invariable sites. default is 0.0

-r, --ratemat=Input
    comma-delimited input values for rate matrix. default is JC69 order: A<->C,A<->G,A<->T,C<->G,C<->T,G<->T

-w, --aaratemat=Input
    comma-delimited amino acid rate matrix. default is all freqs equal order is ARNDCQEGHILKMFPSTWYV

-q, --aabasefreq=Input AA frequencies, order: ARNDCQEGHILKMFPSTWYV

-c, --protein
    run as amino acid

-n, --nreps=INT
    number of replicates

-x, --seed=INT
    random number seed, clock otherwise

-a, --ancestors
    print the ancestral node sequences. default is no use -p for the nodes labels

-p, --printnodelabels
    print newick with internal node labels. default is no

-m, --multimodel=Input specify multiple models across tree
    input is as follows:

A<->C,A<->G,A<->T,C<->G,C<->T,G<->T,Node#,A<->C,A<->G,A<->T,C<->G,C<->T,G<->T
    EX:.3,.3,.3,.3,.3,1,.3,.3,.2,.5,.4

-k, --rootseq=STRING
    set root sequence. default is random (from basefreqs)

-h, --help
    display this help and exit

-V, --version
    display version and exit

-C, --citation
    display phyx citation and exit

CITATION
Brown, Joseph W., Joseph F. Walker, and Stephen A. Smith. 2017. Phyx: phylogenetic tools for unix. Bioinformatics 33(12), 1886-1888.

AUTHOR
Written by Joseph F. Walker, Joseph W. Brown, Stephen A. Smith (blackrim)

REPORTING BUGS
Report bugs to: <https://github.com/FePhyFoFum/phyx/issues> phyx home page: <https://github.com/FePhyFoFum/phyx>

COPYRIGHT
Copyright © 2015-2020 FePhyFoFum License GPLv3